#!/bin/sh
# make-examples.sh - creates bitmaps of the various planar transmission line models to be analyzed by atlc.
#
# single ended transmission lines:
(atlc -c 1e-5 -d 0xffff00=4.6 micro_stripline.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 micro_stripline_sr.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 micro_stripline_filler.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 stripline.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 stripline_pp.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 conductor_backed_coplanar.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 conductor_backed_coplanar_sr.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 conductor_backed_coplanar_filler.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 shielded_coplanar.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 channelized_coplanar.bmp | tee -a results.txt) &
#(atlc -c 1e-5 -d 0xffff00=4.6 -d 0xffaaff=5.0 wireline.bmp | tee -a results.txt) &
#
# couplers:
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_microstrip.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_microstrip_sr.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_microstrip_filler.bmp | tee -a results.txt)&
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_stripline.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_stripline_pp.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_conductor_backed_coplanar.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_conductor_backed_coplanar_sr.bmp | tee -a results.txt) &
(atlc -c 1e-5 -d 0xffff00=4.6 -d 0x00ffff=4.8 coupler_conductor_backed_coplanar_filler.bmp | tee -a results.txt) &
#

