#!/bin/sh
# need ImageMagicK and pseudocolor
for E in \
micro_stripline.E \
micro_stripline_sr.E \
micro_stripline_filler.E \
stripline.E \
stripline_pp.E \
conductor_backed_coplanar.E \
conductor_backed_coplanar_sr.E \
conductor_backed_coplanar_filler.E \
shielded_coplanar.E \
channelized_coplanar.E \
coupler_microstrip.E.odd coupler_microstrip.E.even \
coupler_microstrip_sr.E.odd coupler_microstrip_sr.E.even \
coupler_microstrip_filler.E.odd coupler_microstrip_filler.E.even \
coupler_stripline.E.odd coupler_stripline.E.even \
coupler_stripline_pp.E.odd coupler_stripline_pp.E.even \
coupler_conductor_backed_coplanar.E.odd  coupler_conductor_backed_coplanar.E.even \
coupler_conductor_backed_coplanar_sr.E.odd coupler_conductor_backed_coplanar_sr.E.even \
coupler_conductor_backed_coplanar_filler.E.odd coupler_conductor_backed_coplanar_filler.E.even \
coupler_wire.E.odd coupler_wire.E.even \
wireline_enamel.bmp \

do
pseudocolor -o 192 $E.bmp $E.png &
done
rm *.bin *.E?.bmp *.[V,U].bmp *.E?.odd.bmp *.[V,U].odd.bmp *.E?.even.bmp *.[V,U].even.bmp
